Subject: Re: Git + mod_auth_kerb

From: Junio C Hamano <[email-masked]>
Date: Tue, 22 Jul 2014 10:00:22 -0700

"brian m. carlson" <[email-masked]> writes:

> So git uses libcurl with CURLAUTH_ANY.  In order for authentication to
> work with libcurl, you have to supply a username.  If you specify it in
> the URL, the libcurl realizes that it can use Kerberos, and goes on its
> merry way.
>
> If you don't specify the username in the URL, git notices that
> authentication has failed, and asks the credential store for a username
> and password.  git does not know that a password is not needed, so the
> credential subsystem prompts for one anyway.

Hmmm, does this hint that we might want to be able to tell the
credential subsystem that it is sufficient to have name without
password, or allow the credential subsystem to say "I am giving you
sufficient information" when it returns only username without
password?